/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOUSE. See the GNU
 * General Public License for more details.
 *
 * You should have recieved a copy of the GNU General Public License
 * along with this program; if not write to the Free Software
 * Foundation, inc., 59 Temple Place, Suite 330, Boston MA 02111-1307
 * USA
 */
package j3d;
import java.util.*;
import javax.swing.tree.*;
import javax.swing.*;
import gui.*;
/**
 * Insert the type's description here.
 *
 * @author: Yuriy Mikhaylovskiy
 */

public interface _Object extends Cloneable{
  public Object[] get_Array(Canvas3D j3d);
//  public Object[] get_Copy(Matrix3D trans);
  public _Node[] get_Nodes();
  public _Object[] get_Elements();
  public void transform3D(Matrix3D trans);
  public void mesh(int type, float size);
  public boolean isSelected();
  public boolean delete();
  public void Select(String st);
  public String get_Id();
  public void set_Id(String id);
  public MutableTreeNode get_TreeNode();
  public JPanel getEditPanel(Canvas3D j3d, PreProcessor pp);
}